<?php
if (!$db_lnk = mysql_connect("localhost", "php", "test")){
  exit ('Błąd podczas próby połączenia z serwerem MySQL...<br />');
}

if(!mysql_select_db('testphp')){
  mysql_close();
  exit ('Błąd podczas wyboru bazy danych: testphp <br />');
}

$query = "INSERT INTO osoba VALUES(";
$query .= "11, 'Maciej', 'Nowak', 1982, 'Lublin'";
$query .= ")";

if(!$result = mysql_query($query, $db_lnk)){
  mysql_close();
  exit ('Błąd: zapytanie zostało odrzucone...<br />');
}

$rowsNo = mysql_affected_rows($db_lnk);

echo "Liczba dodanych rekordów: $rowsNo <br />";

if(!mysql_close()){
  echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br />';
}
?>
